myfaces-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Mike Kienenberger" <mkien...@gmail.com>
Subject Re: el-api confusion
Date Thu, 01 May 2008 14:36:19 GMT
I believe that the unified El in Tomcat 6, in Facelets, and in
Glassfish are all from the same original source -- Jacob Hookum.   The
Glassfish and Tomcat versions have probably diverged by now, and
facelets originally used the Glassfish version, back before the
codebase upgraded from Java 1.4 to 1.5.   So the older version you
find in older distributions of Facelets will work in a Java 1.4
environment (Ie, JSF 1.1), but I'd expect both of the "updated"
versions at Tomcat and Glassfish to require Java 1.5  (JSF 1.2).

I may have some of the details wrong, though.

On Thu, May 1, 2008 at 5:17 AM, Fan Shao <rainy14f@yahoo.com> wrote:
>
>  Hi,
>
>  I am lately very confused with the el-api and its implementations when using
>  Tomcat 6.0, MyFaces 1.2, Facelets 1.1.
>
>  It's said JavaEE 5 has an unified EL, so I reckon Tomcat 6.0 has the EL
>  implemented. And I indeed found el-api.jar in its shared "lib" directory.
>  And I also found a "jasper-el.jar". Is this an implementation for the
>  el-api.jar?
>
>  There is also a commons-el under apache foundation. Its website says it's an
>  implementation of the EL for JSP2.0. So what's the difference between this
>  impl and the jasper-el.jar within Tomcat 6.0 distribution?
>
>  I also noticed Facelets 1.1 requires EL implementation. I downloaded its zip
>  file and found a el-api.jar, and the .class files of this jar are different
>  from the one within Tomcat 6.0. So the question is who is maintaining the
>  el-api, and what are its versions?
>
>  Please could someone help me out. Thanks in advance!
>
>  Fan
>
>  --
>  View this message in context: http://www.nabble.com/el-api-confusion-tp16993181p16993181.html
>  Sent from the MyFaces - Users mailing list archive at Nabble.com.
>
>

Mime
View raw message